MyGUI_BackwardCompatibility.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_Colour.h"`
`#include "MyGUI_ResourceSkin.h"`
`#include "MyGUI_Any.h"`
`#include "MyGUI_MouseButton.h"`
`#include "MyGUI_KeyCode.h"`
`#include "MyGUI_Macros.h"`
`#include "MyGUI_WidgetDefines.h"`
`#include "MyGUI_IResource.h"`
`#include <map>`
`#include <set>`

Go to the source code of this file.

## Data Structures

class | MyGUI::MemberObsolete< Button >
class | MyGUI::MemberObsolete< ImageBox >
class | MyGUI::MemberObsolete< ComboBox >
class | MyGUI::MemberObsolete< EditBox >
class | MyGUI::MemberObsolete< ItemBox >
class | MyGUI::MemberObsolete< ListBox >
class | MyGUI::MemberObsolete< MenuControl >
class | MyGUI::MemberObsolete< MenuItem >
class | MyGUI::MemberObsolete< MultiListBox >
class | MyGUI::MemberObsolete< ProgressBar >
class | MyGUI::MemberObsolete< ScrollView >
class | MyGUI::MemberObsolete< TabControl >
class | MyGUI::MemberObsolete< Widget >
class | MyGUI::MemberObsolete< Window >
class | MyGUI::MemberObsolete< FontManager >
class | MyGUI::MemberObsolete< Gui >
class | MyGUI::MemberObsolete< InputManager >
class | MyGUI::MemberObsolete< LanguageManager >
class | MyGUI::MemberObsolete< LayerManager >
class | MyGUI::MemberObsolete< LayoutManager >
class | MyGUI::MemberObsolete< PluginManager >
class | MyGUI::MemberObsolete< PointerManager >
class | MyGUI::MemberObsolete< ResourceManager >
class | MyGUI::MemberObsolete< SkinManager >
class | MyGUI::MemberObsolete< WidgetManager >
class | MyGUI::BackwardCompatibility

## Namespaces

namespace | MyGUI

## Variables

constexpr int | MyGUI::DEFAULT = -1